%define kmod_name		bnx2
%define kmod_driver_version	2.1.11
%define kmod_rpm_release	6
%define kmod_git_hash		2bac472b08aa201e96e2451551d7d7fe42ad6e3a
%define kmod_kernel_version	2.6.32-131.0.15.el6
%define kmod_suffix		rhel6u1


%{!?dist: %define dist .el6}

Source0:	%{kmod_name}-%{kmod_driver_version}.tar.bz2			
Source1:	%{kmod_name}.files			
Source2:	%{kmod_name}.conf			
Source3:	find-requires.ksyms			
Source4:	find-provides.ksyms			
Source5:	kmodtool			
Source6:	bnx2.preamble			

%define __find_requires %_sourcedir/find-requires.ksyms
%define __find_provides %_sourcedir/find-provides.ksyms

Name:		%{kmod_name}
Version:	%{kmod_driver_version}
Release:	%{kmod_rpm_release}%{?dist}
Summary:	%{kmod_name} kernel module

Group:		System/Kernel
License:	GPLv2
URL:		http://www.kernel.org/
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	%kernel_module_package_buildreqs
ExclusiveArch:  i686 x86_64


# Build only for standard kernel variant(s); for debug packages, append "debug"
# after "default" (separated by space)
%kernel_module_package -s %{SOURCE5} -f %{SOURCE1} -p %{SOURCE6} default

%description
%{kmod_name} - driver update

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor

	# update symvers file if existing
	symvers=source/Module.symvers-%{_target_cpu}
	if [ -e $symvers ]; then
		cp $symvers obj/$flavor/Module.symvers
	fi

	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

if [ -d source/firmware ]; then
	make -C source/firmware
fi

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
	make -C %{kernel_source $flavor} modules_install \
		M=$PWD/obj/$flavor
	# Cleanup unnecessary kernel-generated module dependency files.
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done

install -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/etc/depmod.d/%{kmod_name}.conf

if [ -d source/firmware ]; then
	make -C source/firmware INSTALL_PATH=$RPM_BUILD_ROOT INSTALL_DIR= install
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 27 2012 Jiri Benc <jbenc@redhat.com> 2.1.11 6
- synced with 6.2 GA

* Tue Nov 01 2011 Jiri Benc <jbenc@redhat.com> 2.1.11 5
- code fixes

* Fri Oct 21 2011 Jiri Olsa <jolsa@redhat.com> 2.1.11 4
- new spec version

* Fri Sep 30 2011 Jiri Olsa <jolsa@redhat.com> 2.1.11 3
- new spec version

* Thu Sep 22 2011 Jiri Benc <jbenc@redhat.com> 2.1.11 2
- build fix

* Wed Sep 21 2011 Jiri Benc <jbenc@redhat.com> 2.1.11 1
- updated to new driver version

* Fri Aug 12 2011 Jiri Olsa <jolsa@redhat.com> 2.1.6 1
- zstream build changes

* Fri Jun 10 2011 Jiri Olsa <jolsa@redhat.com> 2.0.21 1
- bnx2 DUP module
